Debian Bug report logs - #683746
ITP: rspamd -- fast spam filtering system

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vsevolod Stakhov <vsevolod@highsecure.ru>

Date: Fri, 3 Aug 2012 14:15:02 UTC

Owned by: Vsevolod Stakhov <vsevolod@highsecure.ru>

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#683746; Package wnpp. (Fri, 03 Aug 2012 14:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vsevolod Stakhov <vsevolod@highsecure.ru>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 03 Aug 2012 14:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vsevolod Stakhov <vsevolod@highsecure.ru>
To: submit@bugs.debian.org
Subject: ITP: rspamd -- fast spam filtering system
Date: Fri, 03 Aug 2012 18:11:39 +0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: wnpp
Severity: wishlist

* Package name:    rspamd
  Version:         0.5.0
  Upstream Author: Vsevolod Stakhov (vsevolod@highsecure.ru)
* URL:             https://bitbucket.org/vstakhov/rspamd/
* License:         BSD-2-clause
  Description:     Fast spam filtering system.

Rspamd is fast and modular spam filtering system written in C using
libevent. Rspamd can be extended by plugins and rules written in lua
language and has many internal modules: regexp, dkim, spf and several
others. Rspamd uses multigramm OSB-Bayes classifier with many options
and features for statistic analyzes.


- -- 
Vsevolod Stakhov

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJQG9waAAoJEAdke2eQCBQ3OcMP+QE+mYv7yv3wXY9XWirsWCVw
wywZVWEFOM6HL2+xkiAwgkiJ9TzGZLo32G2SaR6LRxRfoXMvBDcKb98CYH44Ovv/
aKCyqFIBJ3RVefGwwHOCa1hUhabJQt7kHrhlnz9L/U/mXfzlWkrssC9rYd+G+gHY
oFGdbHD9Jgs44RvxO1NG5PJo1mKeqM+V8/yoBWu1y3g0+jm523OJPc+MIaA8z8HZ
x46/c74MXD/tYZC30Co3DSPfRjICJLVCnU/e5gsZLcewnXU4W4cfNOnwacOBHHl7
plT+0Wp60w91soc4jlws4LUISxqFLa4RzBG5u1TB6Tu9uW/TH5y4Am3Jl6GEYo2G
JZxkcMsglL5tDHNQ2yc3IGWLljmhEDHxD8zwNxHlWeeSJaEvgPVn4HCUcsY0Auiy
xjvRUkBvYUL/AIeLOmybaPquPUZQKhsO509CAvpgtGl2Hx1mFTnblqGRZSLTY8RR
UtmcxZw2fRShYwNvvEsSJdHdZ2srNqVrODZpwEsQvagxhr2kkLOx1EAqvnD5i7dJ
o9yOWQbAatQGj/Lv5LS5gzAIiXIl1sEG7XaWdwIBbnzzXjHq03OJN3z+1NocMmhF
690olKAEtTKd+eMtSO/Wrwdfqk8Pno0mp0tgVgMVAyziiTiIDvps8z4x67Mz1yCx
aprZ7X0AV9uMqodKSL0t
=i7sZ
-----END PGP SIGNATURE-----



Owner recorded as Vsevolod Stakhov <vsevolod@highsecure.ru>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 03 Aug 2012 16:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vsevolod Stakhov <vsevolod@highsecure.ru>:
Bug#683746; Package wnpp. (Sat, 04 Aug 2012 18:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vsevolod Stakhov <vsevolod@highsecure.ru>. (Sat, 04 Aug 2012 18:30:05 GMT) Full text and rfc822 format available.

Message #12 received at 683746@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Vsevolod Stakhov <vsevolod@highsecure.ru>
Cc: 683746@bugs.debian.org
Subject: rspamd packaging
Date: Sat, 04 Aug 2012 18:19:24 +0000
[Message part 1 (text/plain, inline)]
Hi Vsevolod,

I've seen your ITP of rspamd and thought I may package it instead of
you. But as I see, it's close to ready.
I send a patch to make it better. Contains the following fixes:
- make it rebuildable with deleting src/modules.c between builds
- fixing debian/copyright (the BSD license text is still not 100%
  correct)
- install the correct binaries and not symlinks to specific versioned
  ones
- fix spelling mistake in debian/rules
- correct build-dependencies for Sid
- add patch to build with newer gmime (v2.6)
- update standards-version to the current one
- take a step toward build hardening build

I couldn't build it with hardening enabled due to this error:
/usr/bin/ld.bfd.real: librspamd-util.a(mem_pool.c.o): relocation R_X86_64_PC32 against symbol `memory_pool_alloc' can not be used when making a shared object; recompile with -fPIC

The package should be split to lib, -dev and binary. Please don't use
debian/changelog as upstream changelog. It's only for packaging changes
and nothing else.

Regards,
Laszlo/GCS
[rspamd_debian.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#683746; Package wnpp. (Sat, 04 Aug 2012 19:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vsevolod Stakhov <vsevolod@highsecure.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 04 Aug 2012 19:57:02 GMT) Full text and rfc822 format available.

Message #17 received at 683746@bugs.debian.org (full text, mbox):

From: Vsevolod Stakhov <vsevolod@highsecure.ru>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 683746@bugs.debian.org
Subject: Re: rspamd packaging
Date: Sat, 04 Aug 2012 23:53:30 +0400
Laszlo,

On 08/04/2012 10:19 PM, Laszlo Boszormenyi (GCS) wrote:
> Hi Vsevolod,
>
> I've seen your ITP of rspamd and thought I may package it instead of
> you. But as I see, it's close to ready.

Thanks for taking care of it! I'm using this package for my machines, 
but I'm not very familiar with debian packaging policies unfortunately.

> I send a patch to make it better. Contains the following fixes:
<skipped>

I've fixed some of that issues in my development (tip) version. I'll 
include all your changes I've not still implemented in 0.5.1 release for 
sure, thank you for this work!

> I couldn't build it with hardening enabled due to this error:
> /usr/bin/ld.bfd.real: librspamd-util.a(mem_pool.c.o): relocation R_X86_64_PC32 against symbol `memory_pool_alloc' can not be used when making a shared object; recompile with -fPIC

It's strange as rspamd is built with -fpic -fPIC flags if they are 
supported on the targeted architecture. How can I repeat this bug using 
my debian system?

> The package should be split to lib, -dev and binary.

Library is only used for rspamd client (rspamc), so maybe it would be 
better to link it statically for debian package? I think a development 
package is only useful when there is any external software that uses the 
normal package's API.

> Please don't use
> debian/changelog as upstream changelog. It's only for packaging changes
> and nothing else.

Acknowledged. So on upgrades of this package I should only inlcude lines 
like 'Update to version x.x.x', rigth?

-- 
Vsevolod Stakhov



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vsevolod Stakhov <vsevolod@highsecure.ru>:
Bug#683746; Package wnpp. (Sun, 05 Aug 2012 06:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vsevolod Stakhov <vsevolod@highsecure.ru>. (Sun, 05 Aug 2012 06:51:06 GMT) Full text and rfc822 format available.

Message #22 received at 683746@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Vsevolod Stakhov <vsevolod@highsecure.ru>
Cc: 683746@bugs.debian.org
Subject: Re: rspamd packaging
Date: Sun, 05 Aug 2012 06:46:58 +0000
Hi Vsevolod,

On Sat, 2012-08-04 at 23:53 +0400, Vsevolod Stakhov wrote:
> Thanks for taking care of it! I'm using this package for my machines, 
> but I'm not very familiar with debian packaging policies unfortunately.
 Hmmm, do you really want to learn and package it? Learning is always
good, I don't want to hijack it from you.

> It's strange as rspamd is built with -fpic -fPIC flags if they are 
> supported on the targeted architecture. How can I repeat this bug using 
> my debian system?
 Sure, I've seen that you use -fpic and -fPIC as well for compilation.
The patch I've sent to you contains everything. Just uncomment the
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
line in debian/rules . I think one of your source files might not be
compiled with the PIC flags and that's the problem.

> Library is only used for rspamd client (rspamc), so maybe it would be 
> better to link it statically for debian package? I think a development 
> package is only useful when there is any external software that uses the 
> normal package's API.
 I do agree with your lines. Either make the binary statically linked
and without the header file or consider the package split. Do you intend
to use plug-ins or whatever external to spamc? There's no problem if
nobody else will use the separated library, but it'll be rejected from
the official archives if you keep it as-is.

> Acknowledged. So on upgrades of this package I should only inlcude lines 
> like 'Update to version x.x.x', rigth?
 Sure, 'initial release', 'new upstream release', 'fixed compilation on
64 bit machines' or anything related to the packaging itself is OK. The
code related ones like 'added IPv6 support', 'many bugfixes', 'rework
events system' and 'write plugin for ...' are not. The latter ones can
go to toplevel_dir/ChangeLog with a date and version number added.

Cheers,
Laszlo/GCS




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#683746; Package wnpp. (Mon, 06 Aug 2012 12:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vsevolod Stakhov <vsevolod@highsecure.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 06 Aug 2012 12:33:04 GMT) Full text and rfc822 format available.

Message #27 received at 683746@bugs.debian.org (full text, mbox):

From: Vsevolod Stakhov <vsevolod@highsecure.ru>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 683746@bugs.debian.org
Subject: Re: rspamd packaging
Date: Mon, 06 Aug 2012 16:30:37 +0400
Laszlo,

On 08/05/2012 10:46 AM, Laszlo Boszormenyi (GCS) wrote:
> On Sat, 2012-08-04 at 23:53 +0400, Vsevolod Stakhov wrote:
>> Thanks for taking care of it! I'm using this package for my machines, 
>> but I'm not very familiar with debian packaging policies unfortunately.
>  Hmmm, do you really want to learn and package it? Learning is always
> good, I don't want to hijack it from you.

Well, I've fixed all issues you pointed and committed them to rspamd
mercurial repository. I think I'll release 0.5.1 version soon and the
package would be for it, not for 0.5.0.

>> It's strange as rspamd is built with -fpic -fPIC flags if they are 
>> supported on the targeted architecture. How can I repeat this bug using 
>> my debian system?
>  Sure, I've seen that you use -fpic and -fPIC as well for compilation.
> The patch I've sent to you contains everything. Just uncomment the
> export DEB_BUILD_MAINT_OPTIONS=hardening=+all
> line in debian/rules . I think one of your source files might not be
> compiled with the PIC flags and that's the problem.

Well, I've tried the same on my ubuntu dev box and cannot repeat this
issue. Can you please try it again with modified package?

>> Library is only used for rspamd client (rspamc), so maybe it would be 
>> better to link it statically for debian package? I think a development 
>> package is only useful when there is any external software that uses the 
>> normal package's API.
>  I do agree with your lines. Either make the binary statically linked
> and without the header file or consider the package split. Do you intend
> to use plug-ins or whatever external to spamc? There's no problem if
> nobody else will use the separated library, but it'll be rejected from
> the official archives if you keep it as-is.

Ok, I've liked rspamc statically with that library and skip installing
it during deb build.

>> Acknowledged. So on upgrades of this package I should only inlcude lines 
>> like 'Update to version x.x.x', rigth?
>  Sure, 'initial release', 'new upstream release', 'fixed compilation on
> 64 bit machines' or anything related to the packaging itself is OK. The
> code related ones like 'added IPv6 support', 'many bugfixes', 'rework
> events system' and 'write plugin for ...' are not. The latter ones can
> go to toplevel_dir/ChangeLog with a date and version number added.

I've fixed that as well. Thought FreeBSD port system is more tolerative
in this aspect affording addition of the upstream changelog to a port's
changelog, so why I thought that debian/changelog should be the same.

-- 
Vsevolod Stakhov





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#683746; Package wnpp. (Tue, 07 Aug 2012 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vsevolod Stakhov <vsevolod@highsecure.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 07 Aug 2012 12:27:03 GMT) Full text and rfc822 format available.

Message #32 received at 683746@bugs.debian.org (full text, mbox):

From: Vsevolod Stakhov <vsevolod@highsecure.ru>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 683746@bugs.debian.org
Subject: Re: rspamd packaging
Date: Tue, 07 Aug 2012 16:24:43 +0400
Laszlo,

On 08/06/2012 04:30 PM, Vsevolod Stakhov wrote:
> Laszlo,
> 
> On 08/05/2012 10:46 AM, Laszlo Boszormenyi (GCS) wrote:
>> On Sat, 2012-08-04 at 23:53 +0400, Vsevolod Stakhov wrote:
>>> Thanks for taking care of it! I'm using this package for my machines, 
>>> but I'm not very familiar with debian packaging policies unfortunately.
>>  Hmmm, do you really want to learn and package it? Learning is always
>> good, I don't want to hijack it from you.
> 
> Well, I've fixed all issues you pointed and committed them to rspamd
> mercurial repository. I think I'll release 0.5.1 version soon and the
> package would be for it, not for 0.5.0.
> 

Well, I've released 0.5.1 version in which I've fixed all problems you
pointed me out. So what should be my next steps - go to the
mentors.debian.net and upload packages?

-- 
Vsevolod Stakhov



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vsevolod Stakhov <vsevolod@highsecure.ru>:
Bug#683746; Package wnpp. (Tue, 07 Aug 2012 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vsevolod Stakhov <vsevolod@highsecure.ru>. (Tue, 07 Aug 2012 18:27:03 GMT) Full text and rfc822 format available.

Message #37 received at 683746@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Vsevolod Stakhov <vsevolod@highsecure.ru>
Cc: 683746@bugs.debian.org
Subject: Re: rspamd packaging
Date: Tue, 07 Aug 2012 18:22:57 +0000
[Message part 1 (text/plain, inline)]
Hi Vsevolod,

On Mon, 2012-08-06 at 16:30 +0400, Vsevolod Stakhov wrote:
> On 08/05/2012 10:46 AM, Laszlo Boszormenyi (GCS) wrote:
[ about the hardened build failure ]
> Well, I've tried the same on my ubuntu dev box and cannot repeat this
> issue. Can you please try it again with modified package?
 Version 0.5.1 still fails with hardening enabled.
gcc is: gcc-4.7.real (Debian 4.7.1-5) 4.7.1
cmake is: cmake version 2.8.8

Related messages:
[ 10%] Building C object
lib/CMakeFiles/rspamd-util.dir/__/src/mem_pool.c.o
cd /root/compile/rspamd/rspamd-0.5.1/obj-x86_64-linux-gnu/lib && /usr/bin/cc   -O0 -fstrict-aliasing -g -O2 -fPIE -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -DLINUX -fPIC -fpic -g  -W -Wall -Wpointer-arith -Wno-unused-parameter -Wno-unused-function -Wunused-variable -Wno-pointer-sign -Wstrict-prototypes -pedantic -std=c99 -I/usr/include/x86_64-linux-gnu -I/usr/include/lua5.1 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/gmime-2.6 -I/root/compile/rspamd/rspamd-0.5.1/compat -I/root/compile/rspamd/rspamd-0.5.1/src -I/root/compile/rspamd/rspamd-0.5.1/obj-x86_64-linux-gnu/src -I/root/compile/rspamd/rspamd-0.5.1/contrib/hiredis -I/root/compile/rspamd/rspamd-0.5.1/lib/src    -fno-strict-aliasing -o CMakeFiles/rspamd-util.dir/__/src/mem_pool.c.o   -c /root/compile/rspamd/rspamd-0.5.1/src/mem_pool.c

[...]

Linking C shared library libkvstorageclient.so
cd /root/compile/rspamd/rspamd-0.5.1/obj-x86_64-linux-gnu/lib && /usr/bin/cmake -E cmake_link_script CMakeFiles/kvstorageclient.dir/link.txt --verbose=1
/usr/bin/cc  -fPIC -O0 -fstrict-aliasing -g -O2 -fPIE -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -DLINUX -fPIC -fpic -g  -W -Wall -Wpointer-arith -Wno-unused-parameter -Wno-unused-function -Wunused-variable -Wno-pointer-sign -Wstrict-prototypes -pedantic -std=c99   -shared -Wl,-soname,libkvstorageclient.so -o libkvstorageclient.so CMakeFiles/kvstorageclient.dir/kvstorage/libkvstorageclient.c.o librspamd-util.a -lm -lrt -ldl -lutil -lpcre -lgmodule-2.0 -lrt -ldl -lutil -lpcre -lgmodule-2.0 -lglib-2.0 -lffi -levent
/usr/bin/ld.bfd.real: librspamd-util.a(mem_pool.c.o): relocation R_X86_64_PC32 against symbol `memory_pool_alloc' can not be used when making a shared object; recompile with -fPIC
/usr/bin/ld.bfd.real: final link failed: Bad value
collect2: error: ld returned 1 exit status

Where does memory_pool_alloc come from? Maybe its source is not compiled
with -fPIC / -fpic .

> I've fixed that as well. Thought FreeBSD port system is more tolerative
> in this aspect affording addition of the upstream changelog to a port's
> changelog, so why I thought that debian/changelog should be the same.
 FreeBSD uses the port system, it needs to list upstream changes as
well. For us, the file is named _debian_/changelog .

On Tue, 2012-08-07 at 16:24 +0400, Vsevolod Stakhov wrote:
> On 08/06/2012 04:30 PM, Vsevolod Stakhov wrote:
> > Well, I've fixed all issues you pointed and committed them to rspamd
> > mercurial repository. I think I'll release 0.5.1 version soon and the
> > package would be for it, not for 0.5.0.
 It seems there are still issues with debian/copyright . Please see the
attached patch.

> Well, I've released 0.5.1 version in which I've fixed all problems you
> pointed me out. So what should be my next steps - go to the
> mentors.debian.net and upload packages?
 If you fix the mentioned bits, then please upload the package to
mentors.debian.net and notify me. I'm going to sponsor it.

Regards,
Laszlo/GCS
[rspamd_copyright.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#683746; Package wnpp. (Thu, 09 Aug 2012 14:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vsevolod Stakhov <vsevolod@highsecure.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 09 Aug 2012 14:00:09 GMT) Full text and rfc822 format available.

Message #42 received at 683746@bugs.debian.org (full text, mbox):

From: Vsevolod Stakhov <vsevolod@highsecure.ru>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 683746@bugs.debian.org
Subject: Re: rspamd packaging
Date: Thu, 09 Aug 2012 17:56:46 +0400
Laszlo,

On 08/07/2012 10:22 PM, Laszlo Boszormenyi (GCS) wrote:
> Hi Vsevolod,
>
> On Mon, 2012-08-06 at 16:30 +0400, Vsevolod Stakhov wrote:
>> On 08/05/2012 10:46 AM, Laszlo Boszormenyi (GCS) wrote:
> [ about the hardened build failure ]
>> Well, I've tried the same on my ubuntu dev box and cannot repeat
>> this issue. Can you please try it again with modified package?
> Version 0.5.1 still fails with hardening enabled. Where does
> memory_pool_alloc come from? Maybe its source is not compiled with
> -fPIC / -fpic .

The problem is that shared library was linked with static ones. I've
fixed that issue by skipping building of that shared library (as it is
currently not used in fact).

> It seems there are still issues with debian/copyright . Please see
> the attached patch.

Fixed them, thank you!

>> Well, I've released 0.5.1 version in which I've fixed all
>> problems you pointed me out. So what should be my next steps - go
>> to the mentors.debian.net and upload packages?
> If you fix the mentioned bits, then please upload the package to
> mentors.debian.net and notify me. I'm going to sponsor it.

I've uploaded the package: http://mentors.debian.net/package/rspamd

-- 
Vsevolod Stakhov



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vsevolod Stakhov <vsevolod@highsecure.ru>:
Bug#683746; Package wnpp. (Thu, 09 Aug 2012 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vsevolod Stakhov <vsevolod@highsecure.ru>. (Thu, 09 Aug 2012 21:36:03 GMT) Full text and rfc822 format available.

Message #47 received at 683746@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Vsevolod Stakhov <vsevolod@highsecure.ru>
Cc: 683746@bugs.debian.org
Subject: Re: rspamd packaging
Date: Thu, 09 Aug 2012 21:32:36 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2012-08-09 at 17:56 +0400, Vsevolod Stakhov wrote:
> Fixed them, thank you!
 Getting close. Found some spelling fixes, patch attached.

> I've uploaded the package: http://mentors.debian.net/package/rspamd
 Seems to be good. Please add the also attached watch file.

Regards,
Laszlo/GCS
[rspamd_spelling_fixes.patch (text/x-patch, attachment)]
[watch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#683746; Package wnpp. (Fri, 10 Aug 2012 12:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vsevolod Stakhov <vsevolod@highsecure.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 Aug 2012 12:21:05 GMT) Full text and rfc822 format available.

Message #52 received at 683746@bugs.debian.org (full text, mbox):

From: Vsevolod Stakhov <vsevolod@highsecure.ru>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 683746@bugs.debian.org
Subject: Re: rspamd packaging
Date: Fri, 10 Aug 2012 16:18:44 +0400
Laszlo,

On 08/10/2012 01:32 AM, Laszlo Boszormenyi (GCS) wrote:
> On Thu, 2012-08-09 at 17:56 +0400, Vsevolod Stakhov wrote:
>> Fixed them, thank you!
>  Getting close. Found some spelling fixes, patch attached.
> 
>> I've uploaded the package: http://mentors.debian.net/package/rspamd
>  Seems to be good. Please add the also attached watch file.

I've applied the patch and added watch file. After that I've reuploaded
the package to mentors.d.n. Thank you!

-- 
Vsevolod Stakhov



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#683746; Package wnpp. (Thu, 23 Aug 2012 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vsevolod Stakhov <vsevolod@highsecure.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 23 Aug 2012 14:36:03 GMT) Full text and rfc822 format available.

Message #57 received at 683746@bugs.debian.org (full text, mbox):

From: Vsevolod Stakhov <vsevolod@highsecure.ru>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 683746@bugs.debian.org
Subject: Re: rspamd packaging
Date: Thu, 23 Aug 2012 18:33:32 +0400
On 08/10/2012 04:18 PM, Vsevolod Stakhov wrote:
> Laszlo,
> 
> On 08/10/2012 01:32 AM, Laszlo Boszormenyi (GCS) wrote:
>> On Thu, 2012-08-09 at 17:56 +0400, Vsevolod Stakhov wrote:
>>> Fixed them, thank you!
>>  Getting close. Found some spelling fixes, patch attached.
>>
>>> I've uploaded the package: http://mentors.debian.net/package/rspamd
>>  Seems to be good. Please add the also attached watch file.
> 
> I've applied the patch and added watch file. After that I've reuploaded
> the package to mentors.d.n. Thank you!

I've updated rspamd and package to 0.5.2 version.

-- 
Vsevolod Stakhov



Added blocking bug(s) of 683746: 685697 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 24 Aug 2012 05:45:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vsevolod Stakhov <vsevolod@highsecure.ru>:
Bug#683746; Package wnpp. (Sun, 26 Aug 2012 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vsevolod Stakhov <vsevolod@highsecure.ru>. (Sun, 26 Aug 2012 12:33:03 GMT) Full text and rfc822 format available.

Message #64 received at 683746@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Vsevolod Stakhov <vsevolod@highsecure.ru>
Cc: 683746@bugs.debian.org
Subject: Re: rspamd packaging
Date: Sun, 26 Aug 2012 12:28:49 +0000
On Thu, 2012-08-23 at 18:33 +0400, Vsevolod Stakhov wrote:
> I've updated rspamd and package to 0.5.2 version.
 The packaging is good now. One missing bit however that you missed to
close your ITP in the changelog. Preferably in the first, 0.4.3-1 entry
please close #683746 . After that, I'll upload it.

Laszlo/GCS




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#683746; Package wnpp. (Mon, 27 Aug 2012 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vsevolod Stakhov <vsevolod@highsecure.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 27 Aug 2012 15:09:03 GMT) Full text and rfc822 format available.

Message #69 received at 683746@bugs.debian.org (full text, mbox):

From: Vsevolod Stakhov <vsevolod@highsecure.ru>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 683746@bugs.debian.org
Subject: Re: rspamd packaging
Date: Mon, 27 Aug 2012 19:04:46 +0400
On 08/26/2012 04:28 PM, Laszlo Boszormenyi (GCS) wrote:
> On Thu, 2012-08-23 at 18:33 +0400, Vsevolod Stakhov wrote:
>> I've updated rspamd and package to 0.5.2 version.
>  The packaging is good now. One missing bit however that you missed to
> close your ITP in the changelog. Preferably in the first, 0.4.3-1 entry
> please close #683746 . After that, I'll upload it.

I've fixed this issue and reuploaded the package to m.d.net.

-- 
Vsevolod Stakhov



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vsevolod Stakhov <vsevolod@highsecure.ru>:
Bug#683746; Package wnpp. (Mon, 27 Aug 2012 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vsevolod Stakhov <vsevolod@highsecure.ru>. (Mon, 27 Aug 2012 19:54:03 GMT) Full text and rfc822 format available.

Message #74 received at 683746@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: Vsevolod Stakhov <vsevolod@highsecure.ru>
Cc: 683746@bugs.debian.org
Subject: Re: rspamd packaging
Date: Mon, 27 Aug 2012 19:50:33 +0000
On Mon, 2012-08-27 at 19:04 +0400, Vsevolod Stakhov wrote:
> I've fixed this issue and reuploaded the package to m.d.net.
 ... and I've uploaded your package to the official archives.

Laszlo/GCS




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 28 Aug 2012 08:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#683746; Package wnpp. (Thu, 30 Aug 2012 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vsevolod Stakhov <vsevolod@highsecure.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 30 Aug 2012 13:21:03 GMT) Full text and rfc822 format available.

Message #81 received at 683746@bugs.debian.org (full text, mbox):

From: Vsevolod Stakhov <vsevolod@highsecure.ru>
To: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Cc: 683746@bugs.debian.org
Subject: Re: rspamd packaging
Date: Thu, 30 Aug 2012 17:18:31 +0400
Laszlo,

On 08/27/2012 11:50 PM, Laszlo Boszormenyi (GCS) wrote:
> On Mon, 2012-08-27 at 19:04 +0400, Vsevolod Stakhov wrote:
>> I've fixed this issue and reuploaded the package to m.d.net.
>  ... and I've uploaded your package to the official archives.
> 
> Laszlo/GCS
> 

Thank you very much! Can you also close bug #685697 please? (RFS:
rspamd/0.5.2-1 [ITP] -- fast spam filtering system)

-- 
Vsevolod Stakhov



Added blocking bug(s) of 683746: 700040 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 08 Feb 2013 04:24:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:18:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.